module u_interface

INTERFACE
subroutine update(phi_1,phi_2,phit_1,phit_2,phix_1,phix_2, &
                  phiy_1,phiy_2,phiz_1,phiz_2,dt,dx,dy,dz,nx,ny,nz)
use types
real(SP), dimension(:,:,:) :: phi_1,phi_2,phit_1,phit_2,phix_1,phix_2
real(SP), dimension(:,:,:) :: phiy_1,phiy_2,phiz_1,phiz_2
real(SP)                   :: dt,dx,dy,dz
integer(I4B)               :: nx,ny,nz
end subroutine update

subroutine boundaries(g,nx,ny,nz)
use types
real(SP), dimension(:,:,:)   :: g
integer(I4B)               :: nx,ny,nz
end subroutine boundaries
END INTERFACE

end module u_interface
